package com.ifish.service;

import java.math.BigDecimal;

import com.ifish.dto.JsonResult;
import com.ifish.dto.PageingDto;
import com.ifish.dto.UserAssetDto;
import com.ifish.entity.UserAsset;
import com.ifish.validator.AddValueParam;
import com.ifish.validator.PageParam;

public interface GoldService {
	
	/**
	 * 返回信息封装
	 * @param userAsset
	 * @param addValue
	 * @param today
	 * @param yesterday
	 * @return
	 */
	public UserAssetDto getUserAssetInfo(UserAsset userAsset,BigDecimal addValue,String today,String yesterday);
	/**
	 * 增加金币
	 * @param addValueParam
	 * @return
	 */
	public JsonResult<?> addGoldValue(AddValueParam addValueParam);
	/**
	 * 签到
	 * @return
	 */
	public JsonResult<?> signin(Integer userId);
	
	/**
	 * 砸金蛋
	 * @param userId
	 * @return
	 */
	public JsonResult<?> hitGoldenEgg(Integer userId);
	
	/**
	 * 金币获取记录
	 * @param pageParam
	 * @return
	 */
	public PageingDto<?> getGoldGetRecordByPage(PageParam pageParam);
	
	/**
	 * 今天消耗记录
	 * @param pageParam
	 * @return
	 */
	public PageingDto<?> getGoldExpendRecordByPage(PageParam pageParam);
	/**
	 * 爱鱼看看打赏
	 * @param userId 打赏人用户ID
	 * @param userId2 被打赏人用户ID
	 * @return
	 */
	public JsonResult<?> liveRoomReward(Integer userId,Integer userId2);
	
}
